# Class yii\apidoc\helpers\ApiMarkdown

Inheritance | yii\apidoc\helpers\ApiMarkdown » cebe\markdown\GithubMarkdown
Uses Traits | yii\apidoc\helpers\ApiMarkdownTrait, yii\apidoc\helpers\MarkdownHighlightTrait
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2-apidoc/blob/master/helpers/ApiMarkdown.php

A Markdown helper with support for class reference links.

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$blockTranslations | array | Translation for guide block types | yii\apidoc\helpers\ApiMarkdown
$renderer | yii\apidoc\renderers\BaseRenderer |  | yii\apidoc\helpers\ApiMarkdown

## Protected Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$headings |  |  | yii\apidoc\helpers\ApiMarkdown
$renderingContext |  |  | yii\apidoc\helpers\ApiMarkdown

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
getHeadings() |  | yii\apidoc\helpers\ApiMarkdown
highlight() | Highlights code | yii\apidoc\helpers\MarkdownHighlightTrait
parse() |  | yii\apidoc\helpers\ApiMarkdown
process() | Converts markdown into HTML | yii\apidoc\helpers\ApiMarkdown
renderTable() | Add bootstrap classes to tables. | yii\apidoc\helpers\ApiMarkdown

## Protected Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
applyToc() |  | yii\apidoc\helpers\ApiMarkdown
consumeQuote() | Consume lines for a blockquote element | yii\apidoc\helpers\ApiMarkdownTrait
parseApiLinkForContext() | Attempts to parse an API link for the given context. | yii\apidoc\helpers\ApiMarkdownTrait
parseApiLinks() |  | yii\apidoc\helpers\ApiMarkdownTrait
prepare() |  | yii\apidoc\helpers\ApiMarkdown
renderApiLink() | Renders API link | yii\apidoc\helpers\ApiMarkdownTrait
renderBrokenApiLink() | Renders API link that is broken i.e. points nowhere | yii\apidoc\helpers\ApiMarkdownTrait
renderCode() |  | yii\apidoc\helpers\MarkdownHighlightTrait
renderHeadline() |  | yii\apidoc\helpers\ApiMarkdown
renderLink() |  | yii\apidoc\helpers\ApiMarkdown
renderQuote() | Renders a blockquote | yii\apidoc\helpers\ApiMarkdownTrait
translateBlockType() |  | yii\apidoc\helpers\ApiMarkdown

## Property Details

$blockTranslations public static property (available since version 2.0.5)

Translation for guide block types

public static array $blockTranslations = []
$headings protected property
protected $headings = []
$renderer public static property
public static yii\apidoc\renderers\BaseRenderer $renderer = null
$renderingContext protected property
protected $renderingContext = null

## Method Details

applyToc() protected method (available since version 2.0.5)

protected void applyToc ( $content )
$content |  |

getHeadings() public method (available since version 2.0.5)

public array getHeadings ( )
return | array | The headlines of this document

parse() public method

public void parse ( $text )
$text |  |

prepare() protected method

protected void prepare ( )

process() public static method

Converts markdown into HTML

public static string process ( $content, $context = null, $paragraph = false )
$content | string |
$context | yii\apidoc\models\TypeDoc |
$paragraph | boolean |

renderHeadline() protected method

protected void renderHeadline ( $block )
$block |  |

renderLink() protected method

protected void renderLink ( $block )
$block |  |

renderTable() public method

Add bootstrap classes to tables.

public void renderTable ( $block )
$block |  |

translateBlockType() protected method (available since version 2.0.5)

protected void translateBlockType ( $type )
$type |  |